function::addr
Prev | Chapter 2. Context Functions | Next

## Name

function::addr — Address of the current probe point.

## Synopsis

        addr:long()

## Arguments

None

## Description

Returns the instruction pointer from the current probe's register state. Not all probe types have registers though, in which case zero is returned. The returned address is suitable for use with functions like `symname` and `symdata`.

Prev | Up | Next
Chapter 2. Context Functions | Home | function::asmlinkage